execute if entity @a[x=20,y=255,z=220,dx=-51,dy=11,dz=-15,gamemode=!spectator] run function main:console/levels/minecart/active


#start
execute as @e[type=minecart,x=-21,y=258,z=233,dx=2,dy=0,dz=-7] run data merge entity @s {Motion:[0.10,0.0,-0.10]}

execute as @e[type=minecart,x=-20,y=258,z=225,dx=25,dy=3,dz=-15] run data merge entity @s {Motion:[0.25,0.0,-0.25]}
execute as @e[type=minecart,x=6,y=260,z=211,dx=3,dy=0,dz=2] run data merge entity @s {Motion:[0.25,0.0,0.25]}

#throw first snowball
execute as @e[type=minecart,x=10,y=260,z=214,dx=7,dy=-1,dz=0] run data merge entity @s {Motion:[0.14,0.0,0.14]}


#right path
execute as @e[type=minecart,x=19,y=259,z=215,dx=0,dy=0,dz=2] run data merge entity @s {Motion:[0.0,-0.1,0.25]}

#left path
execute as @e[type=minecart,x=19,y=259,z=213,dx=0,dy=0,dz=0] run data merge entity @s {Motion:[0.25,0.0,-0.25]}
execute as @e[type=minecart,x=19,y=259,z=212,dx=-7,dy=2,dz=-4] run data merge entity @s {Motion:[-0.25,0.0,-0.25]}
execute as @e[type=minecart,x=11,y=261,z=209,dx=-10,dy=2,dz=0] run data merge entity @s {Motion:[-0.25,1.0,-0.25]}

#slow
execute as @e[type=minecart,x=0,y=262,z=209,dx=-14,dy=0,dz=-2] run data merge entity @s {Motion:[-0.14,0.0,-0.14]}
execute as @e[type=minecart,x=-10,y=262,z=207,dx=-8,dy=0,dz=8] run data merge entity @s {Motion:[-0.25,0.0,0.25]}
execute as @e[type=minecart,x=-19,y=262,z=207,dx=-19,dy=0,dz=8] run data merge entity @s {Motion:[-0.14,0.0,0.14]}

#flying path
execute as @e[type=minecart,x=-30,y=262,z=218,dx=0,dy=0,dz=0,tag=effect] as @s[tag=!flying] run function main:console/timer/minecart/activate

execute as @e[type=minecart,x=-15,y=247,z=225,dx=2,dy=0,dz=7] run data merge entity @s {Motion:[0.2,0.0,0.2]}

#enchanted minecart
execute as @e[type=minecart,tag=effect] at @s run particle minecraft:portal ~ ~-1 ~ 0.2 0.6 0.2 0 30


#snowball timers
execute unless score @s rail_timer matches -1 run scoreboard players add @s rail_timer 1
execute if score @s rail_timer matches 45.. run function main:console/levels/minecart/rail/reset

execute unless score @s brick_timer matches -1 run scoreboard players add @s brick_timer 1
execute if score @s brick_timer matches 45.. run function main:console/levels/minecart/brick/reset

execute unless score @s acacia_timer matches -1 run scoreboard players add @s acacia_timer 1
execute if score @s acacia_timer matches 45.. run function main:console/levels/minecart/acacia/reset