execute as @s[x=0,y=312,z=196,dx=0,dy=1,dz=0] run function main:player/tp/spawn
execute as @s[x=-43,y=80,z=135,dx=0,dy=1,dz=0] run function main:player/tp/heart
execute as @s[gamemode=!spectator,x=-5,y=303,z=189,dx=11,dy=6,dz=-12] if block 0 319 183 diamond_block run function main:player/tp/end

#start game
execute if function main:player/is_riding_intro run function main:player/timer/intro/init
execute as @s[tag=timer_intro] run function main:player/timer/intro/tick

#levitation
execute if entity @s[x=-70,y=153,z=121,dx=0,dy=0,dz=0,tag=!timer_smoke] run function main:player/timer/smoke/init
execute as @s[tag=timer_smoke] run function main:player/timer/smoke/tick

#trigger objectives
function main:player/triggers

#Reset scores at spawn
execute as @s[tag=!spawn,x=14,y=160,z=-12,dx=-26,dy=10,dz=24,predicate=main:is_onground] unless items entity @s armor.chest minecraft:elytra run function main:player/set_spawn

#stone kill
execute as @s[tag=ingame,predicate=main:is_onground,gamemode=!spectator] at @s if block ~0.3 ~-1 ~0.3 infested_stone run kill
execute as @s[tag=ingame,predicate=main:is_onground,gamemode=!spectator] at @s if block ~0.3 ~-1 ~-0.3 infested_stone run kill
execute as @s[tag=ingame,predicate=main:is_onground,gamemode=!spectator] at @s if block ~-0.3 ~-1 ~-0.3 infested_stone run kill
execute as @s[tag=ingame,predicate=main:is_onground,gamemode=!spectator] at @s if block ~-0.3 ~-1 ~0.3 infested_stone run kill

#creeper resistance
effect give @s[gamemode=adventure,x=44,y=191,z=135,distance=..20] resistance 1 10 true
execute as @s[gamemode=adventure,x=44,y=191,z=135,distance=..20] at @s if block ~ ~ ~ lava run effect clear @s resistance

#volcano wait area
execute as @s[x=22,y=54,z=189,dx=-34,dy=-12,dz=-32,predicate=main:is_onground] run function main:volcano/wait_area

execute if score @s on_death matches 1.. run function main:player/on_death

#volcano only cave
execute as @a[x=1,y=157,z=9,dx=-2,dy=2,dz=-17,gamemode=!spectator,tag=!volcano_only] run function main:player/volcano_only

#item pickup
execute as @s[x=54,y=271,z=185,dx=0,dy=0,dz=0] unless items entity @s armor.chest minecraft:elytra at @s run function main:player/pickup/elytra
execute as @s[x=0,y=157,z=8,dx=0,dy=0,dz=0] unless items entity @s armor.chest minecraft:elytra at @s run function main:player/pickup/elytra
execute as @s[x=22,y=250,z=225,dx=0,dy=0,dz=0] unless items entity @s armor.chest minecraft:elytra at @s run function main:player/pickup/elytra

execute as @s[x=0,y=312,z=169,dx=0,dy=0,dz=0] unless items entity @s armor.chest minecraft:elytra at @s run function main:player/pickup/elytra_fireworks
execute as @s[gamemode=!spectator] if items entity @s armor.chest minecraft:elytra[custom_data~{fireworks:true}] run item replace entity @s hotbar.4 with firework_rocket[custom_data={"hielkemaps:item":true}] 1

execute as @s[x=-78.0,y=174.0,z=226.0,dx=0,dy=0,dz=0,gamemode=!spectator,tag=!fire_boots] at @s run function main:player/pickup/netherite_boots
execute as @s[x=18,y=228,z=223,dx=0,dy=0,dz=0,gamemode=!spectator,tag=!fire_boots] at @s run function main:player/pickup/netherite_boots
execute as @s[x=-48.0,y=252.0,z=190.0,dx=0,dy=0,dz=0,gamemode=!spectator,tag=!fire_boots] at @s run function main:player/pickup/netherite_boots

execute as @s[tag=!has_scaffold,x=11,y=61,z=166,dx=0,dy=0,dz=0] run function main:player/pickup/scaffold

execute as @s[x=-24,y=258,z=222,dx=0,dy=0,dz=0,tag=!has_snowball] run function main:player/pickup/snowball
execute as @s[tag=has_snowball] unless items entity @s container.* snowball[custom_data={"hielkemaps:item":true}] unless items entity @s weapon.offhand snowball[custom_data={"hielkemaps:item":true}] unless items entity @s player.crafting.* snowball[custom_data={"hielkemaps:item":true}] unless items entity @s player.cursor snowball[custom_data={"hielkemaps:item":true}] run function main:player/pickup/snowball