scoreboard players set @s lava_level 0
scoreboard players reset @s lava_timer
scoreboard players reset @s reset_delay
scoreboard players reset @s volcano_timer

execute as @e[type=strider,tag=volcano] run kill @s

execute if block 0 271 183 lava run place template main:volcano/top/closed -22 254 163
execute unless block 0 271 183 lava run place template main:volcano/top/open -22 254 163

place template main:volcano/part_4 -22 206 163
place template main:volcano/part_3 -22 158 163
place template main:volcano/part_2 -22 110 163
place template main:volcano/part_1 -22 62 163

kill @e[type=marker,name=volcano_minecart_marker]
kill @e[type=minecart,tag=volcano]

tp @s ~ 62 ~
tag @s remove rising
tag @s remove reset_delay

#need to load twice to fix rail issues
place template main:volcano/part_2 -22 110 163
place template main:volcano/part_1 -22 62 163

function main:volcano/spectate/reset

execute as @e[type=phantom,limit=1] run function main:volcano/phantom/reset

#stop zipline fire
execute as @e[type=pig,tag=zipline] run data merge entity @s {Fire:0}

#kill players still in volcano
execute as @a[x=21,y=66,z=163,dx=-43,dy=203,dz=41,gamemode=!spectator] run damage @s 100000 minecraft:lava

execute as @e[type=block_display,name=elevator,limit=1] at @s run function main:volcano/elevator/reset